cURL
curl "https://api.phrase.com/v2/projects/:project_id/locales/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase locales show \
--project_id <project_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/locales/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/locales/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "de",
"code": "de-DE",
"default": true,
"main": false,
"rtl": false,
"plural_forms": [
"zero",
"one",
"other"
],
"ordinal_plural_forms": [
"zero",
"other"
],
"source_locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "en",
"code": "en-GB"
},
"fallback_locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "en",
"code": "en-GB"
},
"language_ai_profile": "abcd1234abcd1234abcd1234abcd1234",
"unverify_new_translations": false,
"unverify_updated_translations": false,
"unverify_on_source_changes": false,
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"statistics": {
"keys_total_count": 2120,
"keys_untranslated_count": 100,
"words_total_count": 3102102,
"translations_completed_count": 1920,
"translations_unverified_count": 32,
"unverified_words_count": 129,
"missing_words_count": 3920
}
}Locales
Get a single locale
Get details on a single locale for a given project.
GET
/
projects
/
{project_id}
/
locales
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/locales/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase locales show \
--project_id <project_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/locales/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/locales/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "de",
"code": "de-DE",
"default": true,
"main": false,
"rtl": false,
"plural_forms": [
"zero",
"one",
"other"
],
"ordinal_plural_forms": [
"zero",
"other"
],
"source_locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "en",
"code": "en-GB"
},
"fallback_locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "en",
"code": "en-GB"
},
"language_ai_profile": "abcd1234abcd1234abcd1234abcd1234",
"unverify_new_translations": false,
"unverify_updated_translations": false,
"unverify_on_source_changes": false,
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"statistics": {
"keys_total_count": 2120,
"keys_untranslated_count": 100,
"words_total_count": 3102102,
"translations_completed_count": 1920,
"translations_unverified_count": 32,
"unverified_words_count": 129,
"missing_words_count": 3920
}
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
specify the branch to use
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
Indicates that new translations for this locale are marked as unverified. Only applies to locales using the basic verification workflow. Part of the Advanced Workflows feature.
Indicates that updated translations for this locale are marked as unverified. Only applies to locales using the basic verification workflow. Part of the Advanced Workflows feature.
Indicates that translations for this locale are marked as unverified when the source language has been changed.
Show child attributes
Show child attributes
Example:
null
Was this page helpful?